package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;
import lombok.Data;
import org.joda.time.DateTime;

import java.util.Date;
import java.util.List;

@Data
public class CloudTeacherOrderQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "乐团Id")
	private String musicGroupId;

	@ApiModelProperty(value = "交易状态(0-待生效 1-生效中 2-已生效 3-已退 4-已取消，多个状态用逗号隔开)")
	private String status;

	@ApiModelProperty(value = "学生编号")
	private Integer studentId;

	@ApiModelProperty(value = "学员姓名/编号/电话")
	private String queryCondition;

	@ApiModelProperty(value = "会员编号")
	private Integer memberRankId;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "声部Id")
	private Integer subjectId;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "分部")
	private String organIds;

	@ApiModelProperty(value = "操作人")
	private String operatorName;

	@ApiModelProperty(value = "操作开始时间")
	private Date operateStartTime;

	@ApiModelProperty(value = "操作结束时间")
	private Date operateEndTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;
}
